package com.loafle.overflow.meta;

import javax.persistence.*;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_META_MEMBER_STATUS", schema = "public", catalog = "postgres")
public class MetaMemberStatus {
    private short id;
    private String name;

    @Id
    @Column(name = "ID", nullable = false)
    public short getId() {
        return id;
    }

    public void setId(short id) {
        this.id = id;
    }

    @Basic
    @Column(name = "Name", nullable = false, length = 10)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MetaMemberStatus that = (MetaMemberStatus) o;

        if (id != that.id) return false;
        if (name != null ? !name.equals(that.name) : that.name != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) id;
        result = 31 * result + (name != null ? name.hashCode() : 0);
        return result;
    }
}
