package com.loafle.overflow.meta;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_META_PROBE_ARCHITECTURE", schema = "public", catalog = "postgres")
public class MetaProbeArchitecture {
    private short id;
    private String archi;
    private Timestamp createDate;

    @Id
    @Column(name = "ID", nullable = false)
    public short getId() {
        return id;
    }

    public void setId(short id) {
        this.id = id;
    }

    @Basic
    @Column(name = "ARCHI", nullable = true, length = 10)
    public String getArchi() {
        return archi;
    }

    public void setArchi(String archi) {
        this.archi = archi;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = true)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MetaProbeArchitecture that = (MetaProbeArchitecture) o;

        if (id != that.id) return false;
        if (archi != null ? !archi.equals(that.archi) : that.archi != null) return false;
        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) id;
        result = 31 * result + (archi != null ? archi.hashCode() : 0);
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        return result;
    }
}
