package com.loafle.overflow.meta;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_META_VENDOR_CRAWLER", schema = "public", catalog = "postgres")
public class MetaVendorCrawler {
    private int id;
    private short crawlerId;
    private int vendorId;
    private Timestamp createDate;

    @Id
    @Column(name = "ID", nullable = false)
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Basic
    @Column(name = "CRAWLER_ID", nullable = false)
    public short getCrawlerId() {
        return crawlerId;
    }

    public void setCrawlerId(short crawlerId) {
        this.crawlerId = crawlerId;
    }

    @Basic
    @Column(name = "VENDOR_ID", nullable = false)
    public int getVendorId() {
        return vendorId;
    }

    public void setVendorId(int vendorId) {
        this.vendorId = vendorId;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = false)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MetaVendorCrawler that = (MetaVendorCrawler) o;

        if (id != that.id) return false;
        if (crawlerId != that.crawlerId) return false;
        if (vendorId != that.vendorId) return false;
        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = id;
        result = 31 * result + (int) crawlerId;
        result = 31 * result + vendorId;
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        return result;
    }
}
