package com.loafle.overflow.module.infra;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_INFRA_HOST", schema = "public", catalog = "postgres")
public class InfraHost {
    private long id;
    private long osId;
    private int ip;
    private int mac;
    private Timestamp createDate;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "OS_ID", nullable = false)
    public long getOsId() {
        return osId;
    }

    public void setOsId(long osId) {
        this.osId = osId;
    }

    @Basic
    @Column(name = "IP", nullable = false)
    public int getIp() {
        return ip;
    }

    public void setIp(int ip) {
        this.ip = ip;
    }

    @Basic
    @Column(name = "MAC", nullable = false)
    public int getMac() {
        return mac;
    }

    public void setMac(int mac) {
        this.mac = mac;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = false)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        InfraHost that = (InfraHost) o;

        if (id != that.id) return false;
        if (osId != that.osId) return false;
        if (ip != that.ip) return false;
        if (mac != that.mac) return false;
        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) (id ^ (id >>> 32));
        result = 31 * result + (int) (osId ^ (osId >>> 32));
        result = 31 * result + ip;
        result = 31 * result + mac;
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        return result;
    }
}
