package com.loafle.overflow.module.member.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by root on 17. 6. 22.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class MemberDAOTest {


    @Autowired
    private MemberDAO repo;

    @Test
    public void createMember() {
        Member m = new Member();

        m.setName("insanity2");
        m.setCompany("loafle");
        m.setDigest("bbbbbbbbb");
        m.setPwSalt("salktttt");
        m.setPhone("000-000-0000");
        m.setEmail("insanity1@loafle.com");

        repo.save(m);
    }
}