package com.loafle.overflow.meta;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_META_PROBE_PACKAGE", schema = "public", catalog = "postgres")
public class MetaProbePackage {
    private long id;
    private short versionId;
    private short osId;
    private short architectureId;
    private Timestamp createDate;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "VERSION_ID", nullable = false)
    public short getVersionId() {
        return versionId;
    }

    public void setVersionId(short versionId) {
        this.versionId = versionId;
    }

    @Basic
    @Column(name = "OS_ID", nullable = false)
    public short getOsId() {
        return osId;
    }

    public void setOsId(short osId) {
        this.osId = osId;
    }

    @Basic
    @Column(name = "ARCHITECTURE_ID", nullable = false)
    public short getArchitectureId() {
        return architectureId;
    }

    public void setArchitectureId(short architectureId) {
        this.architectureId = architectureId;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = false)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MetaProbePackage that = (MetaProbePackage) o;

        if (id != that.id) return false;
        if (versionId != that.versionId) return false;
        if (osId != that.osId) return false;
        if (architectureId != that.architectureId) return false;
        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) (id ^ (id >>> 32));
        result = 31 * result + (int) versionId;
        result = 31 * result + (int) osId;
        result = 31 * result + (int) architectureId;
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        return result;
    }
}
