package com.loafle.overflow.module.infra;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_INFRA_MACHINE", schema = "public", catalog = "postgres")
public class InfraMachine {
    private long id;
    private long probeId;
    private String meta;
    private Timestamp createDate;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "PROBE_ID", nullable = false)
    public long getProbeId() {
        return probeId;
    }

    public void setProbeId(long probeId) {
        this.probeId = probeId;
    }

    @Basic
    @Column(name = "META", nullable = true, length = 255)
    public String getMeta() {
        return meta;
    }

    public void setMeta(String meta) {
        this.meta = meta;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = false)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        InfraMachine that = (InfraMachine) o;

        if (id != that.id) return false;
        if (probeId != that.probeId) return false;
        if (meta != null ? !meta.equals(that.meta) : that.meta != null) return false;
        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) (id ^ (id >>> 32));
        result = 31 * result + (int) (probeId ^ (probeId >>> 32));
        result = 31 * result + (meta != null ? meta.hashCode() : 0);
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        return result;
    }
}
